static char help[] = "PetscObjectGetComm test.\n\n";
#include <petscmat.h>
#include <petscsys.h>
#include <mpi.h>
#include <stdio.h>


int main(int argc,char **args)
{

  int ierr;
  MPI_Comm       comm;
  PetscInt m,n;
  Mat A;

  ierr=PetscInitialize(&argc,&args,(char*)0,help);  

  int world_size;
  MPI_Comm_size(MPI_COMM_WORLD, &world_size);

  int world_rank;
  MPI_Comm_rank(MPI_COMM_WORLD, &world_rank);
  

  n=10;
  m=n;
  ierr=MatCreateDense(PETSC_COMM_WORLD,PETSC_DECIDE,PETSC_DECIDE,n,m,NULL,&A);
  PetscObjectGetComm((PetscObject)A,&comm);
  printf("%d %d %d %d %d\n",world_rank, world_size,PETSC_COMM_WORLD,comm,PetscObjectComm((PetscObject)A));

  ierr=PetscFinalize();

}
