program ncms_test
#include <petsc/finclude/petscmat.h>
  use petscmat
  use mpi
  use ISO_C_BINDING

  implicit none
  
  
  MPI_Comm :: icomm
  integer :: ierr,inode,np,n,m
  Mat :: A
  
  
  call MPI_INIT(ierr)
  call PetscInitialize(PETSC_NULL_CHARACTER,ierr)
    

  call MPI_COMM_SIZE(PETSC_COMM_WORLD, np,ierr)
  call MPI_Comm_rank(PETSC_COMM_WORLD, inode, ierr )  


  n=10
  m=n
  call MatCreateDense(PETSC_COMM_WORLD,PETSC_DECIDE,PETSC_DECIDE,n,m,,A,ierr)
  call MatAssemblyBegin(A,MAT_FINAL_ASSEMBLY,ierr)
  call MatAssemblyEnd(A,MAT_FINAL_ASSEMBLY,ierr)  

  call PetscObjectGetComm(A,icomm,ierr)
  write(6,*) inode,PETSC_COMM_WORLD,icomm
  call flush(6)
 
  call MPI_BARRIER(MPI_COMM_WORLD,ierr)

  call petscfinalize(ierr) 

  
end program ncms_test
